Name:           epel-rpm-macros
Version:        6
Release:        10
Summary:        Extra Packages for Enterprise Linux RPM macros

Group:          System Environment/Base
License:        GPLv2+

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://download.fedoraproject.org/pub/epel

# Please see the file itself for an explanation of its odd name.
Source0:        macros.zzz-epel
Source1:        macros.zzz-epel-python

Source9:        GPL

BuildArch:     noarch
Requires:      epel-release = %{version}

%description
This package contains some RPM macros which minimize the differences in the
packaging process between Fedora and EPEL.

%prep
%setup -c %name-%version -T
install -pm 644 %{SOURCE9} .

%build
%install
install -Dpm 644 %{SOURCE0} \
    %{buildroot}/etc/rpm/macros.zzz-epel
install -Dpm 644 %{SOURCE1} \
    %{buildroot}/etc/rpm/macros.zzz-epel-python

%files
# Explicitly don't use %%license so that this package can be built without this
# package being installed.
%doc GPL
/etc/rpm/macros.zzz-epel
/etc/rpm/macros.zzz-epel-python

%changelog
* Wed May 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-10
- Remove autosetup macros since they're now in RHEL 6.8.

* Thu Apr 21 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-9
- Add the %make_build macro.

* Tue Apr 19 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-8
- Add some python macros pulled from EPEL7.

* Thu Mar 31 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-7
- Add GHC macros moved from epel-release-6.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-6
- Add %%epel.
- Add %%rpmmacrodir.
- Add pointless %%build so rpmlint will stop yelling.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-5
- Add %%autosetup and related macros.

* Tue Feb 09 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-4
- Guard against issues with the %%scl_debug macro.

* Mon Jan 25 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-3
- Try defining %%license a different (and much simpler) way.

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nra.com> - 6-2
- Add %%nodejs_arches

* Wed Dec 02 2015 Jason L Tibbitts III <tibbs@math.uh.edu> - 6-1
- Initial version for EL6, based on the spec from the EL7 package.
